curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge/schedule" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"type": "START_TIME", "enable": true, "time": "23:30"}'
chargeSchedule = vehicle.request(
"POST",
"{make}/charge/schedule",
{"type": "START_TIME", "enable": true, "time": "23:30"}
)
const chargeSchedule = vehicle.request(
"POST",
"{make}/charge/schedule",
{"type": "START_TIME", "enable": true, "time": "23:30"}
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("POST")
.path("{make}/charge/schedule")
.addBodyParameter("type", "START_TIME")
.addBodyParameter("enable", "true")
.addBodyParameter("time", "23:30")
.build();
ChargeSchedule chargeSchedule = vehicle.request(request);
chargeSchedule = vehicle.request(
"POST",
"{make}/charge/schedule",
{"type": "START_TIME", "enable": true, "time": "23:30"}
)
{
"departureTime": {
"enabled": false,
"time": null
},
"startTime": {
"enabled": true,
"time": "18:30"
}
}
Tesla
Charge Schedule
Sets the charging schedule for a vehicle.
POST
/
vehicles
/
{id}
/
{make}
/
charge
/
schedule
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge/schedule" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"type": "START_TIME", "enable": true, "time": "23:30"}'
chargeSchedule = vehicle.request(
"POST",
"{make}/charge/schedule",
{"type": "START_TIME", "enable": true, "time": "23:30"}
)
const chargeSchedule = vehicle.request(
"POST",
"{make}/charge/schedule",
{"type": "START_TIME", "enable": true, "time": "23:30"}
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("POST")
.path("{make}/charge/schedule")
.addBodyParameter("type", "START_TIME")
.addBodyParameter("enable", "true")
.addBodyParameter("time", "23:30")
.build();
ChargeSchedule chargeSchedule = vehicle.request(request);
chargeSchedule = vehicle.request(
"POST",
"{make}/charge/schedule",
{"type": "START_TIME", "enable": true, "time": "23:30"}
)
{
"departureTime": {
"enabled": false,
"time": null
},
"startTime": {
"enabled": true,
"time": "18:30"
}
}
This endpoint is currently available for
teslaPermission
control_charge
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
string
required
The type of schedule you want to set.
Hide type
Hide type
When plugged in, the vehicle will delay starting a charging session until this time in
HH:mm.When plugged in, the vehicle may delay starting a charging session as long as it can reach its
charge limit by this time in
HH:mm.boolean
required
Enables or disables the specified charging schedule.
string
required
The time for the provided schedule type in HH:mm.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge/schedule" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"type": "START_TIME", "enable": true, "time": "23:30"}'
chargeSchedule = vehicle.request(
"POST",
"{make}/charge/schedule",
{"type": "START_TIME", "enable": true, "time": "23:30"}
)
const chargeSchedule = vehicle.request(
"POST",
"{make}/charge/schedule",
{"type": "START_TIME", "enable": true, "time": "23:30"}
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("POST")
.path("{make}/charge/schedule")
.addBodyParameter("type", "START_TIME")
.addBodyParameter("enable", "true")
.addBodyParameter("time", "23:30")
.build();
ChargeSchedule chargeSchedule = vehicle.request(request);
chargeSchedule = vehicle.request(
"POST",
"{make}/charge/schedule",
{"type": "START_TIME", "enable": true, "time": "23:30"}
)
Response
object
The departure time configuration for the charging schedule.
Show departureTime
Show departureTime
boolean
Indicates whether this schedule type is enabled or disabled.
Only one of
departureTime or departureTime can be enabled at a time.string | null
When plugged in, the vehicle may delay starting a charging session as long as it can reach its
charge limit by this time in HH:mm.
object
The start time configuration for the charging schedule.
{
"departureTime": {
"enabled": false,
"time": null
},
"startTime": {
"enabled": true,
"time": "18:30"
}
}
Was this page helpful?
⌘I

